pkgname=lunaos-zram-defaults
pkgver=4
pkgrel=3
arch=('any')
groups=('lunaos')
license=('MIT')
depends=(
	'zram-generator'
	'lz4'
	'zstd'
	)
replaces=(zramd)
source=(
    'zram-generator.conf'
    'blacklist-zswap.conf'
)

sha256sums=('6e9416f2582571218df64f9323e81052f39ff549b22f563b2c4008e51c2a45c8'
            'fb4d04ce85d07f53d184025236435e64c710a3b9d835cef94cfeabf5ca1302c8')

package() {
	install -d "$pkgdir/etc"
	install -d "$pkgdir/usr"
	
    mkdir "$pkgdir/etc/systemd/"
    mkdir -p "$pkgdir/usr/lib/modprobe.d/"

    cp "$srcdir/zram-generator.conf" "$pkgdir/etc/systemd/zram-generator.conf"
    cp "$srcdir/blacklist-zswap.conf" "$pkgdir/usr/lib/modprobe.d/blacklist-zswap.conf"
}
